Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Apr 2023 13:56:49 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 13 Apr 2023 19:14:37 +0000
> 
> > Are we still sure we want to change package-install, not
> > package-upgrade?  AFAIU, there were several voices that preferred the
> > latter, with the rationale that a built-in package is always
> > "installed", so "installing" it makes little or no sense.
> 
> If you want that, here is one proposal.  Should be the smallest so far:

Hmm... looks identical to the previous patch you sent, which changes
package-install?  Or what am I missing?

As for the question I asked: I'm okay with changing package-install if
there are no objections from those who proposed to change
package-upgrade instead.